import javax.swing.*;
import java.applet.*;
import java.awt.event.*;
import java.awt.*;
public class WinnieThePooh extends Applet implements ActionListener
{
    int forest[] [] = {{7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7},
	    {7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7},
	    {7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7},
	    {7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7},
	    {7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7},
	    {7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7},
	    {7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7}, };
    int row = 7;
    int col = 14;
    int x = 0;
    int y = 0;
    JLabel pics[] = new JLabel [row * col];
    public void init ()
    {resize(750,420);
	setBackground (Color.orange);
	Panel grid = new Panel (new GridLayout (row, col));
	int m = 0;
	for (int i = 0 ; i < row ; i++)
	{
	    for (int j = 0 ; j < col ; j++)
	    {
		pics [m] = new JLabel (createImageIcon ("wp" + forest [i] [j] + ".png"));
		pics [m].setPreferredSize (new Dimension (52, 52));
		grid.add (pics [m]);
		m++;
	    }
	}
	add (grid);
	JButton up = new JButton ("up");
	up.setActionCommand ("up");
	up.addActionListener (this);
	add (up);
	JButton left = new JButton ("left");
	left.setActionCommand ("left");
	left.addActionListener (this);
	add (left);
	JButton down = new JButton ("down");
	down.setActionCommand ("down");
	down.addActionListener (this);
	add (down);
	JButton right = new JButton ("right");
	right.setActionCommand ("right");
	right.addActionListener (this);
	add (right);

	pics [x * col + y].setIcon (createImageIcon ("wp1.png"));
    }


    public void actionPerformed (ActionEvent e)
    {
	if (e.getActionCommand ().equals ("up"))
	{
	    if (x - 1 < 0)
		showStatus ("Off the board!!");
	    else if (forest [x - 1] [y] != 4)
		showStatus ("There is a wall.");
	    else
	    {
		showStatus ("OK! Moving up.");
		pics [x * col + y].setIcon (createImageIcon ("bh4.png"));
		x--;
		pics [x * col + y].setIcon (createImageIcon ("bh1.png"));
	    }
	}
	else if (e.getActionCommand ().equals ("down"))
	{
	    if (x + 1 >= row)
		showStatus ("Off the board!!");
	    else if (forest [x + 1] [y] != 4)
		showStatus ("There is a wall.");
	    else
	    {
		showStatus ("OK! Moving down.");
		pics [x * col + y].setIcon (createImageIcon ("bh4.png"));
		x++;
		pics [x * col + y].setIcon (createImageIcon ("bh1.png"));
	    }
	}
	else if (e.getActionCommand ().equals ("right"))
	{
	    if (y + 1 >= col)
		showStatus ("Off the board!!");
	    else if (forest [x] [y + 1] != 4)
		showStatus ("There is a wall.");
	    else
	    {
		showStatus ("OK! Moving right.");
		pics [x * col + y].setIcon (createImageIcon ("bh4.png"));
		y++;
		pics [x * col + y].setIcon (createImageIcon ("bh1.png"));
	    }
	}
	else if (e.getActionCommand ().equals ("left"))
	{
	    if (y - 1 < 0)
		showStatus ("Off the board!!");
	    else if (forest [x] [y - 1] != 4)
		showStatus ("There is a wall.");
	    else
	    {
		showStatus ("OK! Moving left.");
		pics [x * col + y].setIcon (createImageIcon ("bh4.png"));
		y--;
		pics [x * col + y].setIcon (createImageIcon ("bh1.png"));
	    }
	}
    }


    protected static ImageIcon createImageIcon (String path)
    {
	java.net.URL imgURL = WinnieThePooh.class.getResource (path);
	if (imgURL != null)
	    return new ImageIcon (imgURL);
	else
	    return null;
    }
}
